package lcsb.mapviewer.services.impl;

import java.util.HashSet;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.*;
import org.springframework.beans.factory.annotation.Autowired;

import lcsb.mapviewer.services.ObjectNotFoundException;
import lcsb.mapviewer.services.ServiceTestFunctions;
import lcsb.mapviewer.services.interfaces.IReactionService;

public class ReactionServiceTest extends ServiceTestFunctions {

  Logger logger = LogManager.getLogger();

  @Autowired
  private IReactionService elementService;

  @Before
  public void setUp() throws Exception {
  }

  @After
  public void tearDown() throws Exception {
  }

  @Test(expected = ObjectNotFoundException.class)
  public void testGetElementsByNonExistingProject() throws Exception {
    elementService.getReactionById("bla", "*", new HashSet<>(), new HashSet<>());
  }

}
