package lcsb.mapviewer.persist.dao.user;

import java.util.List;

import org.springframework.stereotype.Repository;

import lcsb.mapviewer.model.user.ResetPasswordToken;
import lcsb.mapviewer.model.user.User;
import lcsb.mapviewer.persist.dao.BaseDao;

@Repository
public class ResetPasswordTokenDao extends BaseDao<ResetPasswordToken> {

  public ResetPasswordTokenDao() {
    super(ResetPasswordToken.class);
  }

  public ResetPasswordToken getByToken(String token) {
    return getByParameter("token", token);
  }

  public List<ResetPasswordToken> getByUser(User user) {
    return getElementsByParameter("user", user);
  }

}
