package lcsb.mapviewer.services.interfaces;

import java.util.List;

import lcsb.mapviewer.model.map.kinetics.SbmlFunction;
import lcsb.mapviewer.services.ObjectNotFoundException;
import lcsb.mapviewer.services.QueryException;

public interface ISbmlFunctionService {

  List<SbmlFunction> getFunctionsByProjectId(String projectId, String mapId) throws QueryException;

  SbmlFunction getFunctionById(String projectId, int mapId, int functionId) throws ObjectNotFoundException;

}
